interface ParamsModel {
    pageSize?: number;
    currentPage?: number;
}
export declare class PaginationConfig {
    currentPage: number;
    pageSize: number;
    total: number;
    constructor({ pageSize, currentPage }: ParamsModel);
    getParams(): {
        page: number;
        from: number;
        size: number;
    };
    filterData<T>(arr: T[]): T[];
}
export {};
